# Changelog

## 2025-01-20 - 1.5.3 - fix(consentsoftware-cookieconsent)
Fix visual inconsistencies in the consent software modal overlay and shadow.

- Updated the shadow color in the modal box to use a consistent color.
- Restored backdrop blur effect in the page overlay when visible.

## 2025-01-20 - 1.5.2 - fix(core)
No changes detected


## 2025-01-20 - 1.5.1 - fix(consentsoftware-cookieconsent)
Adjusted shake animation duration and box-shadow for modalBox in consent cookie component.

- Changed the box-shadow to be softer with reduced spread for more subtle visual effect.
- Increased the duration of shake animation from 300ms to 2000ms for enhanced user feedback upon overlay interaction.

## 2025-01-20 - 1.5.0 - feat(consentsoftware-cookieconsent)
Enhance consent modal with shake animation on overlay click

- Added shake animation to the modal and overlay when clicked outside the modal.
- Updated dependency @consent.software/interfaces to version ^1.0.14.

## 2025-01-17 - 1.4.5 - fix(elements)
Fix issues in consentsoftware-cookieconsent component

- Removed unused attribute handling for 'gotIt'.
- Fixed background and backdrop-filter transitions to ensure proper UI behavior.
- Consolidated consent button click handling into handleConsentButtonClick.
- Improved modal visibility toggling and acceptance flow.

## 2025-01-17 - 1.4.4 - fix(core)
Update LitElement properties to use accessors

- Changes made in ts_web/elements/consentsoftware-toggle.ts
- Updated properties 'required' and 'selected' to use accessors

## 2025-01-17 - 1.4.3 - fix(consentsoftware-cookieconsent)
Fix transition property in consent button styles and add HTMLElementTagNameMap declaration for global interface.

- Updated the transition property for consent buttons to transition all properties instead of just the background.
- Added global interface HTMLElementTagNameMap for custom element type support.

## 2025-01-16 - 1.4.2 - fix(cookieconsent)
Fix user-select property in consentsoftware-cookieconsent component for consistency in interaction.


## 2025-01-16 - 1.4.1 - fix(consentsoftware-toggle)
Fix issue in drag event handling logic for the toggle component.

- Corrected dragging functionality to accurately track dragging state.
- Included logic to delay the reset of the dragging state after toggling.

## 2025-01-16 - 1.4.0 - feat(toggle component)
Enhanced consent toggle component with drag functionality

- Implemented drag functionality for the toggle knob.
- Added smooth transitions for the toggle knob movement.
- Handled drag state management to differentiate between actual click and drag.
- Improved user interaction by allowing click anywhere in the toggle area.

## 2025-01-16 - 1.3.5 - fix(elements)
Improved styling consistency across several components

- Increased box-shadow intensity for better visual separation
- Changed border-bottom styles to use dotted lines for consistency
- Adjusted line-height for better vertical spacing
- Fixed border-right gradient on itemBox for better styling

## 2025-01-14 - 1.3.4 - fix(dependencies)
Corrected build script and updated @consent.software/webclient dependency version

- Corrected the build script entry in package.json.
- Updated @consent.software/webclient dependency to version ^1.1.0.

## 2025-01-14 - 1.3.3 - fix(package.json)
Fixed incorrect main and typings fields, replacing with exports field

- Updated package.json to use the 'exports' field instead of 'main' and 'typings' for module entry points

## 2025-01-14 - 1.3.2 - fix(core)
No code changes detected, maintain current state.


## 2025-01-14 - 1.3.1 - fix(package setup)
Fix package metadata and dependency consistency


## 2025-01-14 - 1.3.0 - feat(elements)
Enhance consent management components with advanced styling and interaction

- Added delayed animation effect to 'consentsoftware-toggle' when required.
- Improved styling for better visual feedback on selections and requirements.
- Enhanced modal transition and visibility settings for the 'consentsoftware-cookieconsent'.

## 2025-01-13 - 1.2.0 - feat(pages)
Add initial structure for pages with page1 component

- Added page1 export module in ts_web/pages/index.ts
- Implemented page1 component returning an empty template using lit-html

## 2025-01-13 - 1.1.0 - feat(core)
Refactor and enhance consent management components

- Replaced usage of custom elements with LitElement for core components.
- Introduced new layout and design for consent modal using modern CSS approaches.
- Removed dependency on '@design.estate/dees-domtools'.
- Added support for dynamic theme switching with light and dark modes.

## 2025-01-09 - 1.0.81 - fix(core)
Package updated to ensure compliance with privacy regulations.


## 2025-01-09 - 1.0.80 - fix(core)
Remove deprecated GitLab CI configuration and update metadata for improved compatibility and efficiency.

- Removed the .gitlab-ci.yml file to eliminate outdated CI configuration
- Updated the package.json and npmextra.json to include missing keywords
- Updated the description in package.json and npmextra.json for better clarity

## 2025-01-09 - 1.0.79 - Initial Release
Initial release of the project.